#rh2.11.90.0.8-7
%define lib_name_orig lib%{name}
%define lib_major 2
%define lib_name %{lib_name_orig}%{lib_major}

Summary:	GNU Binary Utility Development Utilities
Name:		binutils
Version:	2.11.90.0.8
Release: 5mdk
License:	GPL
Group:		Development/Other
URL:		http://sourceware.cygnus.com/binutils
Source:		ftp://ftp.valinux.com/pub/support/hjl/binutils/binutils-%{version}.tar.bz2
Patch1:		binutils-2.10.1.0.7-oformat.patch.bz2
Patch2:		binutils-2.11.90.0.4-glibc21.patch.bz2
Patch3:		binutils-2.11.90.0.8-dynamic.patch.bz2
Patch4:		binutils-2.11.90.0.8-alpha.patch.bz2
Patch5:		binutils-2.11.90.0.8-orphan.patch.bz2
Patch6:		binutils-2.11.90.0.8-orphan2.patch.bz2
Patch7: binutils-2.11.90.0.8-ia64funcsize.patch.bz2
Patch8: binutils-2.11.90.0.8-combreloc-default.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	texinfo bison flex
Prefix: %{_prefix}

%description
Binutils is a collection of binary utilities, including:

   * ar: creating modifying and extracting from archives
   * nm: for listing symbols from object files
   * objcopy: for copying and translating object files
   * objdump: for displaying information from object files
   * ranlib: for generating an index for the contents of an archive
   * size: for listing the section sizes of an object or archive file
   * strings: for listing printable strings from files
   * strip: for discarding symbols (a filter for demangling encoded C++ symbols
   * addr2line: for converting addresses to file and line
   * nlmconv: for converting object code into an NLM

Install binutils if you need to perform any of these types of actions on
binary files.  Most programmers will want to install binutils.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with binutils.

%package -n %{lib_name}-devel
Summary: Main library for %{name}
Group: System/Libraries
Requires: %{lib_name}  = %{version}
Provides: libbinutils-devel

%description -n %{lib_name}-devel
This package contains the library needed to run programs dynamically
linked with binutils.

This is the development headers for %{lib_name}

%prep

%setup -q
%patch1 -p0 -b .oformat
%patch2 -p1 -b .glibc21
%patch3 -p0 -b .dynamic
%patch4 -p0 -b .alpha
%patch5 -p0 -b .orphan
%patch6 -p0 -b .orphan2
%patch7 -p0 -b .ia64funcsize
%ifarch i386 alpha ia64 sparc sparc64
%patch8 -p0 -b .combreloc-default
%endif
mv -f ld/Makefile.in ld/Makefile.in.tmp
sed -e '/^ALL_EMULATIONS/s/eelf_i386_chaos.o/& eelf_i386_glibc21.o/' < ld/Makefile.in.tmp > ld/Makefile.in
rm -f ld/Makefile.in.tmp

%build
./configure %{_target_platform} \
        --prefix=%{prefix} \
        --exec-prefix=%{prefix} \
        --bindir=%{_bindir} \
        --sbindir=%{_sbindir} \
        --sysconfdir=%{_sysconfdir} \
        --datadir=%{_datadir} \
        --includedir=%{_includedir} \
        --libdir=%{_libdir} \
        --libexecdir=%{_libdir} \
        --localstatedir=/var/lib \
        --sharedstatedir=%{prefix}/com \
        --mandir=%{_datadir}/man \
        --infodir=%{_datadir}/info \
		--enable-shared

%make tooldir=%{_prefix} all info

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}
%makeinstall 
make prefix=${RPM_BUILD_ROOT}%{_prefix} infodir=${RPM_BUILD_ROOT}%{_infodir} install-info

install -m 644 include/libiberty.h $RPM_BUILD_ROOT%{_includedir}
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so*

# This one comes from gcc
rm -f $RPM_BUILD_ROOT%{_bindir}/c++filt

cd %buildroot%{prefix}/%{_target_platform}/bin/
for i in *;do 
rm -f %buildroot%{_bindir}/$i
mv -vf $i %buildroot%{_bindir}
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info as.info

%_install_info bfd.info

%_install_info binutils.info

%_install_info gasp.info

%_install_info gprof.info

%_install_info ld.info

%_install_info standards.info

%preun
%_remove_install_info as.info

%_remove_install_info bfd.info

%_remove_install_info binutils.info

%_remove_install_info gasp.info

%_remove_install_info gprof.info

%_remove_install_info ld.info

%_remove_install_info standards.info

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_mandir}/man1/*
%{_includedir}/*
%{_infodir}/*info*

%files -n %{lib_name}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README
%{_libdir}/*.a

%changelog
* Fri Sep 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11.90.0.8-5mdk
- put RELATIVE relocs first, not last (rh).
- enable -z combreloc by default on IA-{32,64}, Alpha, Sparc* (rh).

* Tue Jul 31 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11.90.0.8-4mdk
- Merge with rh patches.

* Tue Jun 26 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11.90.0.8-3mdk
- Make hard-links as true files.

* Tue Jun 26 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11.90.0.8-2mdk
- Workaround libtool/rpm weirdness.

* Mon Jun 25 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.11.90.0.8-1mdk
- Various spec fixes and rh merges.
- 2.11.90.

* Sat May 26 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10.91.0.2-1mdk
- Merge RH patches.
- 2.10.91.0.2.

* Sun May 20 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.10.1.0.2-5mdk
- BuildRequires bison, flex

* Thu Apr 12 2001 Francis Galiegue <fg@mandrakesoft.com> 2.10.1.0.2-4mdk
- No longer excludearch ia64

* Mon Jan 22 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.10.1.0.2-3mdk
- rebuild to fix broken src.rpm on mirrors

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.10.1.0.2-2mdk
- BuildRequires: texinfo

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10.1.0.2-1mdk
- Split libs(and devel) of binaries.
- 2.10.1.0.2.

* Thu Nov 09 2000 Franois Pons <fpons@mandrakesoft.com> 2.10.1-1mdk
- new release

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10.0.24-5mdk
- Really remove c++filt this one come from gcc2.96 package.

* Sun Aug 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.0.24-4mdk
- add back c++filt (chmouscks)

* Sun Aug 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10.0.24-3mdk
- Fix %post script.

* Sat Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 2.10.0.24-2mdk
- Fix build for i486 (and other x86 archs)
- Human readable Description

* Thu Aug 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10.0.24-1mdk
- new release
- fix tmppath

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10.0.18-1mdk
- BM
- new release
- real macroszification.

* Wed Jul 12 2000 Warly <warly@mandrakesoft.com> 2.10.0.12-1mdk
- 2.10.0.12

* Thu Jun 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10.0.9-2mdk
- Macroszification.
- Remove c++-filt since the one from gcc2.96 is more recent.

* Mon Jun 26 2000 Warly <warly@mandrakesoft.com> 2.10.0.9-1mdk
- 2.10.0.9

* Thu Mar 23 2000 Florent Villard <warly@mandrakesoft.com> 2.9.5.0.31-1mdk
- group update
- mandrake adaptation
